/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */


// -------------------------------------------------------
//  DEFAULT BOOTSTRAP NAVBAR (navbars.less)
// -------------------------------------------------------

// Base Navbars
// --------------------------------------------------
.navbar {
  @media (min-width: @grid-float-breakpoint) {
  }
}


// Navbar heading
// --------------
.navbar-header {
  @media (min-width: @grid-float-breakpoint) {
  }
}


// Navbar collapse (body)
// ----------------------
.navbar-collapse {
  @media (min-width: @grid-float-breakpoint) {
  }
}


// Brand/project name
// ------------------
.navbar-brand {
  // Link states
  &:hover,
  &:focus {
  }
  @media (min-width: @grid-float-breakpoint) {
  }
}


// Navbar toggle
// -------------
.navbar-toggle {
	background-color: #1c1c1c;
  padding: 0;
  width: @navbar-height;
  height: @navbar-height;
  line-height: @navbar-height;
  margin-left: @navbar-padding-horizontal;
	position: absolute;
	right: 0;
	margin-right: 0;

  // Bars
  .fa-bars {
  }

  // Hide on breakpoint
  @media (min-width: @grid-float-breakpoint) {
    display: none;
  }
}


// Navbar nav links
// ----------------
.navbar-nav {
  //margin: (@navbar-padding-vertical / 2) -@navbar-padding-horizontal;

  > li > a {
		color: @navbar-default-link-color;
		padding-left: @t3-global-padding;
		padding-right: @t3-global-padding;
		@media (min-width: @screen-sm) and (max-width: @screen-lg) {
     	padding-left: @t3-global-padding/1.5;
			padding-right: @t3-global-padding/1.5;
    }
		&:hover {
			color: @navbar-default-link-hover-color;
		}
  }
	
	> li.open a {
		color: @navbar-default-link-hover-color;
		&:hover {
			border-color: inherit;
		}
	}
	
	//> li.active a {
	//	color: @navbar-default-link-hover-color;
	//	font-weight: bold;
	//}
	
	.active > a {
		font-weight: bold;
		color: @navbar-default-link-active-color;
	}
	
	> li:first-child a {
		padding-left: 0;
		
		@media (max-width: @grid-float-breakpoint) {
    	padding-left: @t3-global-padding;;
  	}
	}
	

  // T3 Note: Dropdown Menu styles when collapsed
  // Dropdowns get custom display when collapsed
  @media (max-width: @screen-xs-max) {
    .open .dropdown-menu {
      > li > a,
      .dropdown-header {
      }
      > li > a {
        // Link states
        &:hover,
        &:focus {
        }
      }
    }
  }

  // T3 Note: Main Styles for breakpoint
  // Uncollapse the nav
  @media (min-width: @grid-float-breakpoint) {
    margin: 0;
    > li {
      > a {
      }
    }
  }

  // End
}


// Navbar form
// ------------
.navbar-form {
}


// Dropdown in navbars
// -------------------
// Menu position and menu carets
.navbar-nav > li > .dropdown-menu {
}


// Buttons in navbars
// ------------------
.navbar-btn {
}


// Text in navbars
// ---------------
.navbar-text {
}



// Default Navbars (Visual Style only)
// --------------------------------------------------
.navbar-default {
  background-color: @navbar-default-bg;
  border-color: @navbar-default-border;

  .navbar-brand {
    color: @navbar-default-brand-color;
    &:hover,
    &:focus {
      color: @navbar-default-brand-hover-color;
      background-color: @navbar-default-brand-hover-bg;
    }
  }

  .navbar-text {
    color: @navbar-default-color;
  }

  .navbar-nav {
    > li > a {
      color: @navbar-default-link-color;

      &:hover,
      &:focus {
        color: @navbar-default-link-hover-color;
        background-color: @navbar-default-link-hover-bg;
      }
    }
    > .active > a {
      &,
      &:hover,
      &:focus {
        color: @navbar-default-link-active-color;
        background-color: @navbar-default-link-active-bg;
      }
    }
    > .disabled > a {
      &,
      &:hover,
      &:focus {
        color: @navbar-default-link-disabled-color;
        background-color: @navbar-default-link-disabled-bg;
      }
    }
  }

  .navbar-toggle {
    border-color: @navbar-default-toggle-border-color;
    &:hover,
    &:focus {
      background-color: @navbar-default-toggle-hover-bg;
    }
    .icon-bar {
      background-color: @navbar-default-toggle-icon-bar-bg;
    }
  }

  .navbar-collapse,
  .navbar-form {
    border-color: @navbar-default-border;
  }

  // Dropdown menu items and carets
  .navbar-nav {
    // Caret should match text color on hover
    > .dropdown > a:hover .caret,
    > .dropdown > a:focus .caret {
      border-top-color: @navbar-default-link-hover-color;
      border-bottom-color: @navbar-default-link-hover-color;
    }

    // Remove background color from open dropdown
    > .open > a {
      &,
      &:hover,
      &:focus {
        background-color: @navbar-default-link-active-bg;
        color: @navbar-default-link-active-color;
        .caret {
          border-top-color: @navbar-default-link-active-color;
          border-bottom-color: @navbar-default-link-active-color;
        }
      }
    }
    > .dropdown > a .caret {
      border-top-color: @navbar-default-link-color;
      border-bottom-color: @navbar-default-link-color;
    }


    @media (max-width: @screen-xs-max) {
      // Dropdowns get custom display when collapsed
      .open .dropdown-menu {
        > li > a {
          color: @navbar-default-link-color;
          &:hover,
          &:focus {
            color: @navbar-default-link-hover-color;
            background-color: @navbar-default-link-hover-bg;
          }
        }
        > .active > a {
          &,
          &:hover,
          &:focus {
            color: @navbar-default-link-active-color;
            background-color: @navbar-default-link-active-bg;
          }
        }
        > .disabled > a {
          &,
          &:hover,
          &:focus {
            color: @navbar-default-link-disabled-color;
            background-color: @navbar-default-link-disabled-bg;
          }
        }
      }
    }
  }


  // Links in navbars
  //
  // Add a class to ensure links outside the navbar nav are colored correctly.
  .navbar-link {
    color: @navbar-default-link-color;
    &:hover {
      color: @navbar-default-link-hover-color;
    }
  }

}



// -------------------------------------------------------
//  T3 MAIN MENU
// -------------------------------------------------------
.t3-mainnav {

  // Navbar
  // -------
  .t3-navbar {
		border-bottom: 14px solid @brand-primary;
		margin-right: -999em;
		padding-right: 999em;
  	border-radius: 0;
		float: right;
		padding-left: 0;
		padding-top: @t3-global-padding;
		padding-bottom: @t3-global-padding*1.25;
	
  	@media (max-width: @grid-float-breakpoint) {
			float: none;
			margin-right: auto;
			padding-right: 0;
			border-bottom-width: 5px;
  	}
  }

	// The dropdown menu (ul)
	.dropdown-menu {
		background-image: url(../images/bgdot.png);
		padding: 10px;
		border: 0;
		font-size: @t3-font-size-smaller;
		.box-shadow(3px 3px 6px rgba(0,0,0,.1));
		
		.mega-col-nav {
			padding-left: 0;
			padding-right: 0;
		}
		
		.mega-dropdown-inner {
			background-color: @white;
			border: 1px solid #e0e0e0;
			
			.mega-group .mega-dropdown-inner {
				border: none;
			}
		}
	}
	
	

  // Collapse Navbar
  // ---------------
  .t3-navbar-collapse {

    // Hide the generated navbar on breakpoint
    @media (min-width: @grid-float-breakpoint) {
      display: none !important;
    }

    // Navbar nav links
    // ----------------
    .navbar-nav {
      margin: 0 -@navbar-padding-horizontal;

      //font awesome
      li > a .fa {
        margin-right: 5px;
      }

      > li > a {
        border-top: 1px solid @navbar-default-border;
      }

      > li:first-child  > a {
        border-top: 0;
      }

      // Dropdown Menu
      .open .dropdown-menu {

        > li > a,
        .dropdown-header {
        }

        > li > a {
          // Link states
          &:hover,
          &:focus {
          }
        }

      }

      // Re-Align the caret on right
      .dropdown > a {
        .caret {
          position: absolute;
          top: 40%;
          right: @padding-base-horizontal;
        }
      }
    }

  // End Collapse Navbar
  }

// End
}
